part of 'exercise_log_bloc.dart';

@immutable
abstract class ExerciseLogEvent extends Equatable {
  const ExerciseLogEvent();

  @override
  List<Object> get props => [];
}

class ExerciseLogLoad extends ExerciseLogEvent {
  const ExerciseLogLoad();
}

class ExerciseLogDelete extends ExerciseLogEvent {
  final Exercise exercise;
  const ExerciseLogDelete({required this.exercise});

  @override
  List<Object> get props => [exercise];
}

class ExerciseResult extends ExerciseLogEvent {
  const ExerciseResult();
}
